TextMessageBuilder (LogKit API)
Keywords: org.apache.log.output.jms.TextMessageBuilder,TextMessageBuilder class

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.log.output.jms
Class TextMessageBuilder

    java.lang.Object
      |
      +--org.apache.log.output.jms.TextMessageBuilder

All Implemented Interfaces:
  MessageBuilder

public class TextMessageBuilder
extends Object
implements MessageBuilder

Basic message factory that stores LogEvent in Message.

Author:
  Avalon Development Team, Peter Donald

Constructor Summary
`TextMessageBuilder(Formatter formatter)` Creation of a new text message builder.
`TextMessageBuilder(PropertyInfo[] properties, Formatter formatter)` Creation of a new text message builder.

Method Summary
`Message` | `buildMessage(Session session, LogEvent event)` Build a message from the supplied session for the supplied event

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### TextMessageBuilder

    public TextMessageBuilder(Formatter formatter)

  Creation of a new text message builder.

Parameters:
  `formatter` - the message formatter

### TextMessageBuilder

    public TextMessageBuilder(PropertyInfo[] properties,
                              Formatter formatter)

  Creation of a new text message builder.

Parameters:
  `properties` - the property info set
  `formatter` - the message formatter

Method Detail

### buildMessage

    public Message buildMessage(Session session,
                                LogEvent event)
                         throws JMSException

  Build a message from the supplied session for the supplied event

  Specified by:
    `buildMessage` in interface `MessageBuilder`
  Parameters:
    `session` - the session
    `event` - the log event
  Returns:
    the message
  Throws:
    `JMSException` - if a messaging related error occurs

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2001 Apache Jakarta Project. All Rights Reserved.